/*
** Galactic Bloodshed, copyright (c) 1989 by Robert P. Chansky, 
** smq@ucscb.ucsc.edu, mods by people in GB_copyright.h.
** Restrictions in GB_copyright.h.
**
**	read_teleg.c -- (try to) read telegrams
**	 the first byte in each telegram is the sending player #, or 254
**	 to denote autoreport.  then the time sent, then the message itself,
**	 terminated by TELEG_DELIM.
*/

#define EXTERN extern
#include "GB_copyright.h"
#include "vars.h"
#include "buffers.h"
#include <ctype.h>
#include <signal.h>
#include <setjmp.h>
#include <strings.h>
#include <errno.h>
extern jmp_buf main_jenv;
FILE *fopen(), *teleg_read_fd;

char telegram_file[PATHLEN];

teleg_read(Playernum)
int Playernum;
{
    char *p;

    sprintf(telegram_file,"%s.%d", TELEGRAMFL, Playernum);
    if((teleg_read_fd = fopen(telegram_file, "r")) != 0) {
	while(fgets(buf, sizeof buf, teleg_read_fd)) {
	    for(p = buf; *p; p++) if(*p == '\n') {
		*p = '\0';
		break;
	    }
	str_cat(buf, "\n");
		notify(Playernum, buf);
	}
	fclose(teleg_read_fd);
  	teleg_read_fd = fopen( telegram_file, "w+" );	/* trunc file */
	fclose(teleg_read_fd);


    } else {
	sprintf(buf,  "\nTelegram file %s non-existent.\n", telegram_file);
	notify(Playernum, buf);
	return;
	}

  }



